Loading...
Searching...
No Matches
ojph_bitbuffer_write.h File Reference
`#include "ojph_defs.h"`
`#include "ojph_file.h"`

Go to the source code of this file.

## Classes

struct | ojph::local::bit_write_buf

## Namespaces

namespace | ojph
namespace | ojph::local

## Functions

static void | ojph::local::bb_expand_buf (bit_write_buf *bbp, mem_elastic_allocator *elastic, coded_lists *&cur_coded_list)
static void | ojph::local::bb_init (bit_write_buf *bbp, mem_elastic_allocator *elastic, coded_lists *&cur_coded_list)
static void | ojph::local::bb_put_bit (bit_write_buf *bbp, ui32 bit, mem_elastic_allocator *elastic, coded_lists *&cur_coded_list, ui32 &ph_bytes)
static void | ojph::local::bb_put_zeros (bit_write_buf *bbp, int num_zeros, mem_elastic_allocator *elastic, coded_lists *&cur_coded_list, ui32 &ph_bytes)
static void | ojph::local::bb_put_bits (bit_write_buf *bbp, ui32 data, int num_bits, mem_elastic_allocator *elastic, coded_lists *&cur_coded_list, ui32 &ph_bytes)
static void | ojph::local::bb_terminate (bit_write_buf *bbp)